# Class BadChallengeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.ac.starlink.auth.BadChallengeException

All Implemented Interfaces:
  `Serializable`

public class BadChallengeException extends Exception
Exception indicating that an authentication challenge is badly formed, for instance missing parameters required by the scheme to which it is supposed to conform.

Since:
  3 Jul 2020
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadChallengeException(String msg)`
Constructor.
`BadChallengeException(String msg, Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadChallengeException

public BadChallengeException(String msg)
Constructor.

Parameters:
  `msg` - informative message

### BadChallengeException

public BadChallengeException(String msg, Throwable cause)
Constructor.

Parameters:
  `msg` - informative message
  `cause` - chained exception underlying this one